#include "ClickableLabel.h"

#include <QEvent.h>

ClickableLabel::ClickableLabel(QWidget *parent /*= 0*/, Qt::WindowFlags f /*= 0*/)
	: QLabel(parent, f)
{
}
ClickableLabel::ClickableLabel(const QString &text, QWidget *parent /*= 0*/, Qt::WindowFlags f /*= 0*/)
	: QLabel(text, parent, f)
{
}

void ClickableLabel::mousePressEvent(QMouseEvent * args)
{
	args->accept();
	emit clicked();
}
